
os: Visual Studio 2015

matrix:
  fast_finish: true

environment:
  matrix:
    - channel: 1.36.0
      target: i686-pc-windows-msvc
    - channel: 1.36.0
      target: x86_64-pc-windows-msvc
    - channel: 1.36.0
      target: i686-pc-windows-gnu
    - channel: 1.36.0
      target: x86_64-pc-windows-gnu

install:
  # Setup Rust
  - appveyor DownloadFile https://win.rustup.rs/ -FileName rustup-init.exe
  - rustup-init -y --default-toolchain %channel% --default-host %target%
  - set PATH=%PATH%;%USERPROFILE%\.cargo\bin
  - rustc -vV
  - cargo -vV

build: false

test_script:
  - cargo build
  - cargo test
  - cargo build --features="alloc"
  - cargo test --features="alloc"
